Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3220 closed project (fixed)

Change RTEMS release number scheme from 4.12 to 5

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

As discussed here

https://lists.rtems.org/pipermail/devel/2017-October/019169.html

it was agreed to use version 5.1 with the new number scheme for the next RTEMS release.

Most important items of this release:

  • SMP support
  • 64-bit time_t (year 2038 problem)
  • the network stack header consolidation and the move to Newlib
  • self-contained POSIX synchronization objects (impacting the configuration)
  • improved Ada support (however, not all Ada tests pass currently)

The following steps are necessary to carry out the number change:

  1. Change version of RTEMS tools
  2. Change version of RSB
  3. Change version of RTEMS
  4. Documentation repo. Easy.
  5. Documentation website repo. Easy.
  6. Release procedure repo. Easy.
  7. Trac tickets. Not sure.
  8. Trac wiki. Medium(?). A wiki search of 4.12 gives 21 hits.
  9. rtems.org website. That needs Joel.
  10. Make announcement on the devel and user mailing list

Change History (24)

comment:1 Changed on 11/09/17 at 06:11:43 by Sebastian Huber

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on 11/09/17 at 06:11:51 by Sebastian Huber

Status: assignedaccepted

comment:3 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:4 Changed on 11/09/17 at 06:29:50 by Sebastian Huber

Description: modified (diff)

Trac update done.

comment:5 Changed on 11/09/17 at 07:03:21 by Sebastian Huber

Description: modified (diff)

comment:6 Changed on 11/09/17 at 07:06:37 by Sebastian Huber <sebastian.huber@…>

In [changeset:"e5dad3cfedc05b9da24e5e9de901cea6ea5001e2/rtems-tools" e5dad3c/rtems-tools]:

Change RTEMS version from 4.12 to 5

Update #3220.

comment:7 Changed on 11/09/17 at 07:09:27 by Sebastian Huber <sebastian.huber@…>

In [changeset:"637061c0bb8e8aebee8c7e6121c3581f6df2a82a/rtems-source-builder" 637061c/rtems-source-builder]:

Change RTEMS version from 4.12 to 5

Update #3220.

comment:8 Changed on 11/09/17 at 07:09:48 by Sebastian Huber <sebastian.huber@…>

In [changeset:"089327b5dcf944bfc1d8d7f1ad1d30330088da72/rtems-source-builder" 089327b/rtems-source-builder]:

Change RSB version from 4.12 to 5

Update #3220.

comment:9 Changed on 11/09/17 at 07:15:40 by Sebastian Huber

Description: modified (diff)

comment:10 Changed on 11/09/17 at 07:44:54 by Sebastian Huber <sebastian.huber@…>

In [changeset:"aff8c471580f91e38aa8e9c8dc7d396cd5a14e16/rtems-tools" aff8c47/rtems-tools]:

Add tools/5 patch

Update #3220.

comment:11 Changed on 11/09/17 at 08:05:35 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b5a4b156fac4363decc662a0b4373702dd489d16/rtems-tools" b5a4b15/rtems-tools]:

Add tools/5 patch

Update #3220.

comment:12 Changed on 11/09/17 at 08:17:04 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2da13568ddc41fdeb6e8ddf067bd550bb8753bd8/rtems-tools" 2da1356/rtems-tools]:

Add tools/5 patches

Update #3220.

comment:13 Changed on 11/09/17 at 08:26:23 by Sebastian Huber <sebastian.huber@…>

In [changeset:"52f379028281ee532561ccd2e4f1590e18bf2951/rtems-tools" 52f3790/rtems-tools]:

Add tools/5 patch

Update #3220.

comment:14 Changed on 11/09/17 at 08:35:50 by Sebastian Huber <sebastian.huber@…>

In [changeset:"a70b8e609b6b26c94c131d6e902d5fa6de391648/rtems-tools" a70b8e6/rtems-tools]:

Add tools/5 patch

Update #3220.

comment:15 Changed on 11/09/17 at 08:41:55 by Sebastian Huber <sebastian.huber@…>

In [changeset:"469e3623303aa97be6cbbc7e27058c1ae232f8aa/rtems-tools" 469e362/rtems-tools]:

Add tools/5 patches

Update #3220.

comment:16 Changed on 11/09/17 at 09:24:34 by Sebastian Huber <sebastian.huber@…>

In [changeset:"60a6d6eae95ad49b9ddf53c6767f22aa4b3897a2/rtems-docs" 60a6d6e/rtems-docs]:

Change RTEMS version to 5

Update #3220.

comment:17 Changed on 11/09/17 at 09:25:36 by Sebastian Huber

Description: modified (diff)

comment:18 Changed on 11/09/17 at 09:26:10 by Sebastian Huber

Description: modified (diff)

comment:19 Changed on 11/09/17 at 13:29:24 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b15a71914d7474f426b130335c3a92d44793b868/rtems-libbsd" b15a719/rtems-libbsd]:

Change RTEMS version to 5

Update #3220.

comment:20 Changed on 11/10/17 at 08:39:09 by Sebastian Huber <sebastian.huber@…>

In [changeset:"9f34b38edf2a235e8d41c3265b146b0b1a4da252/rtems-tools" 9f34b38/rtems-tools]:

Remove tools/5 patches

Update #3220.

comment:21 Changed on 11/13/17 at 08:01:56 by Sebastian Huber <sebastian.huber@…>

In [changeset:"cb406870aa62fd3c20dc1f517c06bc3a285bb04b/rtems" cb40687/rtems]:

Change RTEMS_API from 5.0 to 5

This fixes the legacy Makefile based build system which expects
RTEMS_API to be identical to the tool chain version.

Update #3220.

comment:22 Changed on 11/23/17 at 07:53:51 by Sebastian Huber

Description: modified (diff)

comment:23 Changed on 12/06/17 at 18:21:41 by Sebastian Huber <sebastian.huber@…>

In [changeset:"9526b0349c0ed24f17f8b1b4a112851cc52b8dd3/rtems" 9526b034/rtems]:

confdefs: Replace RTEMS 4.12 with 5.1

Update #3220.

comment:24 Changed on 03/21/18 at 06:55:18 by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

I think the version change is complete.

Note: See TracTickets for help on using tickets.